diff --git a/src/gateway.c b/src/gateway.c
index a419ae1a..5555cd4e 100644
--- a/src/gateway.c
+++ b/src/gateway.c
@@ -705,7 +705,7 @@ static int dumpFile(struct gateway *g,
 	}
 	memcpy(cur, buf, len);
 
-	sqlite3_free(buf);
+	raft_free(buf);
 
 	return 0;
 
diff --git a/src/replication.c b/src/replication.c
index 6f3ccf39..0040e8b3 100644
--- a/src/replication.c
+++ b/src/replication.c
@@ -113,7 +113,7 @@ static void applyCb(struct raft_apply *req, int status, void *result)
 	apply = req->data;
 	leader = apply->leader;
 	if (leader == NULL) {
-		sqlite3_free(apply);
+		raft_free(apply);
 		return;
 	}
 	r = leader->exec;
